Bug 1396874 - Openstack instance link should be remove when job uncomplete or deleted
Summary: Openstack instance link should be remove when job uncomplete or deleted
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: develop
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.0
Assignee: Roman Joost
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-21 02:33 UTC by wangdong
Modified: 2017-02-21 18:50 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-02-21 18:50:47 UTC


Attachments (Terms of Use)

Description wangdong 2016-11-21 02:33:21 UTC
Description of problem:
1. User reserve a openstack instance, for some reason, job not complete. 
2. User delete completed job

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Reserve a job with openstack.
2. Cancel it or delete it when complete.
3.

Actual results:
Openstack instance link still in recipe page.

Expected results:
Beaker should delete that link.

Additional info:

Comment 1 Roman Joost 2016-11-23 06:40:17 UTC
Patch on Gerrit:

https://gerrit.beaker-project.org/#/c/5459/

Comment 2 Roman Joost 2016-12-13 07:06:29 UTC
This bug fix is included in beaker-server-24.0.git.210.01bf4bf which is currently available for testing here:

https://beaker-devel.app.eng.bos.redhat.com/

Comment 3 Hui Wang 2016-12-14 05:56:51 UTC
Verified this issue.
Sorry, I think the result is not expected.

When job is cancelled or aborted or completed, the openstack instance link in recipe page was removed. But there is also no openstance instance link when the job is running(is during installation).

Comment 4 Roman Joost 2016-12-14 23:50:54 UTC
Fix in gerrit:

https://gerrit.beaker-project.org/#/c/5545

Comment 7 Dan Callaghan 2017-02-21 18:50:47 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.